diff --git a/doc/src/sgml/stylesheet-fo.xsl b/doc/src/sgml/stylesheet-fo.xsl
index 0c4dff92c4..9ce36c7279 100644
--- a/doc/src/sgml/stylesheet-fo.xsl
+++ b/doc/src/sgml/stylesheet-fo.xsl
@@ -132,4 +132,12 @@
   </fo:bookmark>
 </xsl:template>
 
+<!-- Every sect1 in the appendix describing contributed modules
+     gets a page break -->
+
+<xsl:template match="id('contrib')/sect1|id('contrib')/section">
+  <fo:block break-after='page'/>
+  <xsl:apply-imports/>
+</xsl:template>
+
 </xsl:stylesheet>
